aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--testing/razor/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/testing/razor/APKBUILD b/testing/razor/APKBUILD
new file mode 100644
index 0000000000..885df72500
--- /dev/null
+++ b/testing/razor/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=razor
+_realname=razor-agents
+pkgver=2.84
+pkgrel=0
+pkgdesc="Vipul's Razor is a distributed, collaborative spam detection and filtering network"
+url="http://razor.sourceforge.net/"
+license="Artistic"
+depends="uclibc perl perl-digest-sha1 perl-getopt-long perl-uri-escape"
+makedepends=""
+install=
+subpackages="$pkgname-doc"
+source="http://garr.dl.sourceforge.net/sourceforge/razor/$_realname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir/$_realname-$pkgver"
+
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+ # creates file collision among perl modules
+ rm $pkgdir/usr/lib/perl5/5.10.0/x86_64-linux/perllocal.pod
+}
+
+md5sums="8b9a11a6ce020383c32c45d1530d77c2 razor-agents-2.84.tar.bz2"